Download it now!
Bug 130898 - Sifr: Missing Large (128px) for The Start Center's Recent File
Summary: Sifr: Missing Large (128px) for The Start Center's Recent File
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords:
Depends on: 130936
Blocks: Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2020-02-24 13:12 UTC by Rizal Muttaqin
Modified: 2020-03-29 17:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Sifr fallbacked to Breeze in Mimetypes of Recent Files (22.87 KB, image/jpeg)
2020-02-24 13:12 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-02-24 13:12:33 UTC
Created attachment 158137 [details]
Sifr fallbacked to Breeze in Mimetypes of Recent Files

Description:
Sifr: Large mime icons for protected and Base file in Start Center's Recent Files item has color. All Sifr icons should be monochrome

I suggest change to provide the icons so it's not fallbacked to Breeze.

Steps to Reproduce:
1. Set Sifr icon theme
2. Create (File> Save > click Save with password) or open a Writer protected document or LibreOffice Base file
3. Open LibreOffice start center/main app 
4. Look at Recent Files icon

Actual Results:
Icons are colorful (fallbacked to Breeze)

Expected Results:
Icons are monochrome


Reproducible: Always


User Profile Reset: No

Version: 7.0.0.0.alpha0+
Build ID: a545e25314d464c190d9d504d78ec6cb67ead4fd
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-02-20_15:31:00
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 ian 2020-03-17 11:44:07 UTC
Thank you for reporting the bug.

I have set the bug's severity to "trivial."
Comment 2 Heiko Tietze 2020-03-17 14:00:59 UTC
Yes, please add the large icons.
Comment 3 Rizal Muttaqin 2020-03-17 15:27:46 UTC
(In reply to Heiko Tietze from comment #2)
> Yes, please add the large icons.

I post pone this request since it will make MIME overlay in the Recent File unclear.
Comment 4 Rizal Muttaqin 2020-03-29 13:07:07 UTC
So this will affects only protected file. For the rest still waiting for tdf#130936 to be fixed first.
https://gerrit.libreoffice.org/c/core/+/91326
Comment 5 Commit Notification 2020-03-29 15:05:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9f7dc0e3202aaf5295d784079ed2356c9053ec17

Sifr: Fix for tdf#130898: Add 128px icons for protected files

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-03-29 17:08:23 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/37733dd848e2d6fa1b60f556761ab600d7734ec4

Sifr: Fix for tdf#130898: Add 128px icons for protected files

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.